ScXMLDocument Class Reference

`#include <Inventor/scxml/Document.h>`

Inheritance diagram for ScXMLDocument:

## Public Member Functions

virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
void | setFilename (const char *filename)
const char * | getFilename (void) const
virtual void | setRoot (ScXMLScxmlElt *root)
ScXMLScxmlElt * | getRoot (void) const
ScXMLAbstractStateElt * | getStateById (SbName id) const
ScXMLDataElt * | getDataById (SbName id) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
static ScXMLDocument * | readFile (const char *filename)
static ScXMLDocument * | readBuffer (const SbByteBuffer &buffer)
static ScXMLDocument * | readXMLData (cc_xml_doc *xmldoc)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Additional Inherited Members

Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

The <ScXMLDocument class is a container class for a complete SCXML document.

## Member Function Documentation

## getTypeId()

SoType ScXMLDocument::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLObject.

The documentation for this class was generated from the following files:

- ScXMLDocument.h
- ScXMLDocument.cpp